searchNodes=[{"doc":"Inspecto is a utility for inspecting Ecto schemas to view their field names, data types, and default values. Ecto schema modules do not contain full information about your database schemas: they only contain enough information to act as a viable intermediary for the Elixir layer. You cannot, for example, know character length limits or input constraints by merely inspecting Ecto schemas. Although Ecto migrations contain a lot more of this information, they too aren't great for the purpose because migrations are additive with changes spread out over time, and importantly, there's not requirement that a database be defined via migrations. Usage The expected usage of this package is to call Inspecto.summarize/2 from within a @moduledoc tag somewhere inside your app, whereever you wish a summary of your Ecto schemas to appear, e.g. something like this: defmodule MyApp.MyModel do @moduledoc &quot;&quot;&quot; Here is a summary of my Ecto schemas: \#{ MyApp.MyModel |&gt; Inspecto . modules ( ) |&gt; Inspecto . summarize ( format : :html ) } &quot;&quot;&quot; end This will render a series of HTML tables at compile-time. Warning When you call a function from inside a @moduledoc tag, it is evaluated at compile-time . Inspecto should filter out problems and avoid raising errors, but if it generates a problem for any reason, be aware that you may need to remove any calls to its functions from your @moduledoc tags.","ref":"Inspecto.html","title":"Inspecto","type":"module"},{"doc":"This is a convenience function which retrieves a list of modules in the given &quot;namespace&quot;. This is a useful way of gathering up modules that define Ecto schemas. Examples iex&gt; Inspecto . modules ( MyApp ) [ MyApp.Foo , MyApp.Bar , ... ]","ref":"Inspecto.html#modules/1","title":"Inspecto.modules/1","type":"function"},{"doc":"Summarizes the given Ecto schema modules using the format provided. It is necessary to supply a list of modules. Options :format controls the format of the output. Supported values: :html , :raw (default). The :raw format returns information as a list of Inspecto.Schema structs. The :html format returns information as an HTML table. This is suitable for use inside a @moduledoc attribute. Other formats may be supported in the future (e.g. Mermaid JS, but it's not yet compatible with how documentation generation strips out newlines). Examples iex&gt; MyApp.Schemas |&gt; Inspecto . modules ( ) |&gt; Inspecto . summarize ( format : :raw ) [ % Inspecto.Schema { ... } , ... ]","ref":"Inspecto.html#summarize/2","title":"Inspecto.summarize/2","type":"function"},{"doc":"This defines the shape of schema inspections","ref":"Inspecto.Schema.html","title":"Inspecto.Schema","type":"module"},{"doc":"Inspects the given Ecto schema module. This will raise if the given module does not define an Ecto schema (this isn't 100% accurate, but it's unlikely that other modules would coincidentally define the same functions as an Ecto schema).","ref":"Inspecto.Schema.html#inspect/1","title":"Inspecto.Schema.inspect/1","type":"function"}]